Subject: Ticket Assigned - update address: 9562661372
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 26 Mar 2022 10:17:53 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  update address: 9562661372 Rjali                    Hi           02:07 PM, 26th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           02:07 PM, 26th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            02:07 PM, 26th Mar                     Rjali                    Hi, we missed you! We were unable to deliver your order 9562661372 on 2022-03-26 13:58:19, reason: Incomplete Address. We'll make another delivery attempt soon. Click to give feedback https://tracking.fareye.co/tracking?ly7/C9r6j2aO66sWkMsXqQmoWFo2Tj475g7kCk0A3/w=#/ Stay Happy!           02:07 PM, 26th Mar                     Rjali                    This is my order please deliver           02:08 PM, 26th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of the order            02:08 PM, 26th Mar                     Rjali                    Ok           02:08 PM, 26th Mar                   Ahmed                   Kindly share with us your full address and you active contact number.           02:13 PM, 26th Mar                     Rjali                    Al warqa 1, meer 2 building, flat 606, dubai 0567749997           02:14 PM, 26th Mar                   Ahmed                   thank you for sharing your contact and address details with us, I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           02:17 PM, 26th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4079371